<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('responsable_commissions', function (Blueprint $table) {
            $table->id();
            $table->date('debut_mandat');
            $table->date('fin_mandat');
            $table->boolean('status')->default(true);
            $table->string('email');
            $table->unsignedBigInteger('personne_id');
            $table->unsignedBigInteger('commission_id');
            $table->unsignedBigInteger('tache_id');
            $table->timestamps();
            $table->foreign('personne_id')->references('id')->on('personnes')->cascadeOnDelete();
            $table->foreign('commission_id')->references('id')->on('commissions')->cascadeOnDelete();
            $table->foreign('tache_id')->references('id')->on('taches')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('responsable_commissions');
    }
};
